# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /__w/vision/vision/pytorch/vision/packaging/torchvision, last modified Wed May 29 11:53:08 2024
# ------------------------------------------------

package:
  name: torchvision
  version: 0.18.1
source:
  path: /__w/vision/vision/pytorch/vision
build:
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
  string: py310_cu118
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.3.11 h06a4308_0
    - ffmpeg 4.2.2 h20bf706_0
    - freetype 2.12.1 h4a9f257_0
    - gmp 6.2.1 h295c915_3
    - gnutls 3.6.15 he1e5248_0
    - lame 3.100 h7b6447c_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libidn2 2.3.4 h5eee18b_0
    - libjpeg-turbo 2.0.0 h9bf148f_0
    - libopus 1.3.1 h7b6447c_0
    - libpng 1.6.39 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtasn1 4.19.0 h5eee18b_0
    - libunistring 0.9.10 h27cfd23_0
    - libvpx 1.7.0 h439df22_0
    - nettle 3.7.3 hbbd107a_1
    - openh264 2.1.1 h4ff587b_0
    - x264 1!157.20191217 h7b6447c_0
    - zlib 1.2.13 h5eee18b_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.3.11 h06a4308_0
    - cuda-cudart 11.8.89 0
    - cuda-cupti 11.8.87 0
    - cuda-libraries 11.8.0 0
    - cuda-nvrtc 11.8.89 0
    - cuda-nvtx 11.8.86 0
    - cuda-runtime 11.8.0 0
    - cuda-version 12.4 hbda6634_3
    - filelock 3.13.1 py310h06a4308_0
    - gmp 6.2.1 h295c915_3
    - gmpy2 2.1.2 py310heeb90bb_0
    - intel-openmp 2023.1.0 hdb19cb5_46306
    - jinja2 3.1.3 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcublas 11.11.3.6 0
    - libcufft 10.9.0.58 0
    - libcufile 1.9.1.3 h99ab3db_1
    - libcurand 10.3.5.147 h99ab3db_1
    - libcusolver 11.4.1.48 0
    - libcusparse 11.7.5.86 0
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnpp 11.8.0.86 0
    - libnvjpeg 11.9.0.86 0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - llvm-openmp 14.0.6 h9e868ea_0
    - markupsafe 2.1.3 py310h5eee18b_0
    - mkl 2023.1.0 h213fc3f_46344
    - mpc 1.1.0 h10f8cd9_1
    - mpfr 4.0.2 hb69a4c5_1
    - mpmath 1.3.0 py310h06a4308_0
    - ncurses 6.4 h6a678d5_0
    - networkx 3.1 py310h06a4308_0
    - openssl 3.0.13 h7f8727e_2
    - pip 24.0 py310h06a4308_0
    - python 3.10.14 h955ad1f_1
    - pytorch 2.3.1 py3.10_cuda11.8_cudnn8.7.0_0
    - pytorch-cuda 11.8 h7e8668a_5
    - pytorch-mutex 1.0 cuda
    - pyyaml 6.0.1 py310h5eee18b_0
    - readline 8.2 h5eee18b_0
    - setuptools 69.5.1 py310h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - sympy 1.12 py310h06a4308_0
    - tbb 2021.8.0 hdb19cb5_0
    - tk 8.6.14 h39e8969_0
    - torchtriton 2.3.1 py310
    - typing_extensions 4.11.0 py310h06a4308_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py310h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - yaml 0.2.5 h7b6447c_0
    - zlib 1.2.13 h5eee18b_1
  run:
    - defaults::numpy >=1.11
    - ffmpeg >=4.2
    - libjpeg-turbo
    - libpng
    - pillow >=5.3.0, !=8.3.*
    - python >=3.10,<3.11.0a0
    - pytorch-cuda=11.8
    - pytorch-mutex 1.0 cuda
    - pytorch==2.3.1
    - requests
  run_constrained:
    - cpuonly <0
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - ca-certificates
    - libjpeg-turbo
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
